be.fgov.ehealth.medicalagreement.core.v1

## Class Kmehrresponse

- java.lang.Object
- - be.fgov.ehealth.medicalagreement.core.v1.Kmehrresponse

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:07:14+01:00",
                 comments="JAXB RI v2.2.11")
      public class Kmehrresponse
      extends Object
      implements Serializable

  Java class for kmehrresponsetype complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="kmehrresponsetype">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="request">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="kmehrmessage" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}kmehrmessageType"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="acknowledge" type="{http://www.ehealth.fgov.be/medicalagreement/core/v1}acknowledgetype"/>
               <element name="kmehrmessage" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}kmehrmessageType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Kmehrresponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Acknowledgetype` | `getAcknowledge()` Gets the value of the acknowledge property.
    `Kmehrmessage` | `getKmehrmessage()` Gets the value of the kmehrmessage property.
    `Request` | `getRequest()` Gets the value of the request property.
    `void` | `setAcknowledge(Acknowledgetype value)` Sets the value of the acknowledge property.
    `void` | `setKmehrmessage(Kmehrmessage value)` Sets the value of the kmehrmessage property.
    `void` | `setRequest(Request value)` Sets the value of the request property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Kmehrresponse

          public Kmehrresponse()

  - ### Method Detail

    - #### getRequest

          public Request getRequest()

      Gets the value of the request property.
      Returns:
        possible object is `Request`

    - #### setRequest

          public void setRequest(Request value)

      Sets the value of the request property.
      Parameters:
        `value` - allowed object is `Request`

    - #### getAcknowledge

          public Acknowledgetype getAcknowledge()

      Gets the value of the acknowledge property.
      Returns:
        possible object is `Acknowledgetype`

    - #### setAcknowledge

          public void setAcknowledge(Acknowledgetype value)

      Sets the value of the acknowledge property.
      Parameters:
        `value` - allowed object is `Acknowledgetype`

    - #### getKmehrmessage

          public Kmehrmessage getKmehrmessage()

      Gets the value of the kmehrmessage property.
      Returns:
        possible object is `Kmehrmessage`

    - #### setKmehrmessage

          public void setKmehrmessage(Kmehrmessage value)

      Sets the value of the kmehrmessage property.
      Parameters:
        `value` - allowed object is `Kmehrmessage`

Connector Packaging PERSPHYSICIAN 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.